SDL_GetWindowAspectRatio(3)

NAME
SDL_GetWindowAspectRatio - Get the size of a window's client area.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetWindowAspectRatio(SDL_Window *window, float *min_aspect, float *max_aspect);

FUNCTION PARAMETERS

window
    the window to query the width and height from.

min_aspect
    a pointer filled in with the minimum aspect ratio of the window, may be NULL.

max_aspect
    a pointer filled in with the maximum aspect ratio of the window, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetWindowAspectRatio(3)